Subject: Re: FVWM: Simple Key Bindings.

From: [email-masked] (David Kennedy)
Date: Tue, 23 Jan 1996 19:06:36 GMT

Mike said:
> David Kennedy said:
>  > I'm also having problems getting icons to settle in one place.
>  > Style "*" 	IconBox +0 -20 +500 -0
 
>  
>  Yes, this should be lower left corner.  It does the same thing on my 
>  systems, but changing the '-0' to '-1' mysteriously makes it work!! Could 
>  be a bug?
I dunno why but that did work. Thanks! *shrug*

>  > And lastly, and most importantly, does anyone have any idea why I can't use my arrow keys
>  > in aplications like 'Knews' anymore? (I sorted out the SunDoom problem of not being able
>  > to fire [Ctrl] and move [Arrow] keys at the same time. Some bindings are just no 
>  > worth it! ;-) )
>  
>  Hmmm, all arrow keys work fine in all my applications.  Check out the 
>  ICCCM COMPLIANCE section of the fvwm man page and the 'Lenience' style.  
>  I don't know anything about this one, but it may be related.  Or, are the 
>  arrow keys simply re-mapped to do something else??

Well, the only mappings on the arrows keys read like this:

Key Left 	R	M	Scroll -100 0
Key Right	R	M	Scroll 100 0
Key Up		R 	M	Scroll 0 -100
Key Down	R	M	Scroll 0 100

This can't affect the normal usage of the keys surely? 
I read the section about 'Lenience' and to be honest I wasn't too sure what it meant by
"so fvwm provides a window-style, 'Lenience', which will allow fvwm to overlook this
ICCCM rule."

This implies an entry like:
Style "Knews"	StickyIcon, Lenience
which has no effect. (Oddly enough! Its not mentioned in the style section or anywhere else
after that 'window-style' section.)

Any ideas? Perhaps its just Knews...I can't think what else I use keys for a lot at the moment.
-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
-----------------------------------------------------------------------------
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/

--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].